t2<-read.csv("diabetes.csv",sep=",",head=T)
t1<-read.csv("Tabla1.csv",sep=",",head=T)


require(stats)
x <- t1$renta
hist(x, main = "Media y mediana de la variable X",col="yellow", ylab="")
abline(v = mean(x),   col=2, lty=2, lwd=4)
abline(v = median(x), col=3, lty=3, lwd=4)
ex12 <- expression(bar(x) == sum(over(x[i], n), i==1, n),
                   hat(x) == median(x[i], i==1,n))
legend(1, 13, ex12, col = 2:3, lty=2:3, lwd=3)


## Leyendas con ttulos en diferentes localizaciones
y<-x
 plot(x, y, type='n')
 legend("bottomright", "(x,y)", pch=16, title="bottomright",col="red")
 legend("bottom", "(x,y)", pch=16, title="bottom",col="red")
 legend("bottomleft", "(x,y)", pch=16, title="bottomleft",col="red")
 legend("left", "(x,y)", pch=16, title="left",col="red")
 legend("topleft", "(x,y)", pch=16, title="topleft, inset = .05",
        inset = .05,col="red")
 legend("top", "(x,y)", pch=16, title="top",col="red")
 legend("topright", "(x,y)", pch=16, title="topright, inset = .02",
        inset = .02,col="red")
 legend("right", "(x,y)", pch=16, title="right",col="red")
 legend("center", "(x,y)", pch=16, title="center",col="red")


#------- Grfica de puntos


stripchart(t1$renta,method="stack",pch=16)
title("Grfica de puntos para la variable Renta")


qqline(t1$valor,col="red")
qqline(t1$valor,col="red",lwd=4)

# Histograma y poligono de frecuencias

par(mfrow=c(3,1))
tt<-rchisq(30,40)
tt<-hist(tt,density=12,border=3,col=3,xlab="",ylab="",main="Histograma",freq=T,nclass=6)

plot(tt,axes=FALSE,density=12,border=3,col=3,xlab="",ylab="",main="Histograma y poligono de frecuencias")
axis(1,at=c(tt$mids),tck=-0.01,lty=1)
x <- tt$mids
x <- x
x <- c(min(tt$breaks),x,max(tt$breaks))
y <- tt$counts
y <- c(0,y,0)
points(x,y,main="Poligono de frecuencias")
lines(x,y,lty=2,lwd=0.5)

plot(x,y,main="Poligono de frecuencias",axes=FALSE,xlab="",ylab="")
axis(1,at=c(tt$mids),tck=-0.01,lty=1)
lines(x,y,lty=1,lwd=2)

#-------- Caja y brazo

boxplot(t1$ninos,t1$adultos,horizontal=TRUE,main="Diagrama de caja y brazos",
names=c("nios","adultos"))

# 
#------ Distribucin Exponencial

n <- 200
x <- rexp(n)
hist(x, probability=T,col='green', main='Exponential Distribution')
lines(density(x), col='blue', lwd=3)
curve(dexp(x), xlim=c(0,10), col='red', lwd=3, lty=2, add=T)

#----- Taken the R book

par(mfrow=c(2,2))

x<-rnorm(20)
y<-rnorm(20)+x


plot(y~x)

plot(y~x, pch=16,ylab="leyenda para eje Y")

plot(y~x, pch=16,ylab="leyenda para eje Y",las=1,cex.lab=1.3,cex.axis=1.4)

plot(y~x, pch=16,ylab="leyenda para eje Y",las=2,cex.lab=1.3,cex.axis=1.4)

plot(y~x, pch=16,ylab="leyenda para eje Y",las=3,cex.lab=1.3,cex.axis=1.4,cex=2.5)

###
### ----------------------------------------------------------------------------------------
### ----------------------------------------------------------------------------------------
###
#----------------------- Grficas creativas en 3D


library(lattice)

n<-50
tx<-matrix(seq(-pi,pi,len=2*n),2*n,n)
ty<-matrix(seq(-pi,pi,len=n)/2,2*n,n,byrow=T)
xx<-cos(tx)*cos(ty)
yy<-sin(tx)*cos(ty)
zz<-sin(ty)
zzz<-zz
zzz[,1:12*4]<-NA

wireframe(zzz~xx*yy,shade=TRUE,light.source=c(3,3,3))



###
### ----------------------------------------------------------------------------------------
### ----------------------------------------------------------------------------------------
###
##---------------------- Funcion par -------------------------------------------------------
##

help(par)

#-------------------------------------------------------------------------------------------

x<-rnorm(20)
y<-rnorm(20)+x

plot(y~x)

plot(y)

#------------------------------------------------------

op<-par(mfrow=c(2,1))

plot(y~x)

plot(y)

par(op)

plot(y~x)
#------------------------------------------------------

op<-par(mfrow=c(2,1))

plot(y~x)
plot(y~x)
plot(y~x)
plot(y~x)

par(op)

op <- par(mfrow = c(2, 2), # 2 x 2 pictures on one plot
          pty = "s")       # square plotting region,
                           # independent of device size

plot(y~x)
plot(y~x)
plot(y~x)
plot(y~x)

par(op)
#------------------------------------------------------


plot(y~x,pch=16)

op<-par(bg="lightgrey",col.axis="blue")

plot(y~x,pch=16)
title(main="Funcin par",col.main="yellow")

hist(rnorm(500))

hist(rnorm(500),col="red")

par(op)


#---------------------  Colores  ------------------------

colours()

#--------------------------------------------------------

# Color de los ejes y de la caja de los grficos.

par(mfrow=c(2,2))

 plot(y~x)
 plot(y~x,fg="blue")
 plot(y~x,fg="red")
 plot(y~x,fg="green")

#--------------------------------------------------------
# Ms colores 

plot(y~x, xlab="Eje X", ylab="Eje Y", pch=16, col="red", 
col.lab="green4", col.axis="blue", col.main="green", main="Ttulo",
col.sub="purple2",sub="Subtitulo")
 
#--------------------------------------------------------
# Ejes

plot(y~x, axes=FALSE,pch=16,cex=2,col="red",ylab="",xlab="")

#

plot(1:10,1:10, type="n",axes=FALSE,ylab="",xlab="")

 axis(1,1:10,LETTERS[1:10],col.axis="blue")

 axis(2,1:10,letters[1:10],col.axis="red")

 axis(3,lwd=3,col.axis="green")

 axis(4,at=c(2,5,8),labels=c("uno", "dos", "tres"))

#----------------------------------------------------------
 Layout: Localizacin y forma de regiones de graficacin mltiple.


# Clculos previos
 x<-pmin(3,pmax(-3,rnorm(50)))
 y<-pmin(3,pmax(-3,rnorm(50)))
 xhist<-hist(x,breaks=seq(-3,3,0.5),plot=FALSE)
 yhist<-hist(y,breaks=seq(-3,3,0.5),plot=FALSE)
 top<-max(c(xhist$counts,yhist$counts))
 xrange<-c(-3,3)
 yrange<-c(-3,3)

#-------
nf<-layout(matrix(c(2,0,1,3),2,2,byrow=TRUE),c(3,1),c(1,3),TRUE)
layout.show(nf)

par(mar=c(3,3,1,1))
plot(x,y,xlim=xrange,ylim=yrange,xlab="",ylab="",pch=16,col="red")
par(mar=c(0,3,1,1))
barplot(xhist$counts,axes=FALSE,ylim=c(0,top),space=0)
par(mar=c(3,0,1,1))
barplot(yhist$counts,axes=FALSE,ylim=c(0,top),space=0,horiz=TRUE)

#nf<-layout(matrix(c(1,0,3,2),2,2,byrow=TRUE),c(3,1),c(1,3),TRUE)
#layout.show(nf)

# Mltiples grficas.

 op<-par(bg="lightgreen")
 nf<-layout(matrix(c(4,4,4,4,1,1,2,2,0,3,3,0), 3, 4, byrow = TRUE))
 hist(rnorm(500),col="red",main="")
 boxplot(rgamma(100, 20, 5),col="yellow",main="",horizontal=TRUE)
 hist(rchisq(100,2),col="blue",main="")
 plot(rnorm(100),pch=16,col="black",main="",cex=1.5)

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------

